stages:
  - deploy

deploy_to_ovh:
  stage: deploy
  image: node:latest  # Image avec Node.js pour exécuter npm install et npm run build
  before_script:
    # Installer les dépendances front-end et compiler les assets
    - npm install
    - npm run build
    # Installer sshpass et rsync pour le transfert des fichiers.
    - apt-get update -y && apt-get install -y sshpass rsync
  script:
    # Transférer les fichiers vers le serveur OVH avec rsync
    - sshpass -p "$SSH_PASSWORD" rsync -avz --exclude=".git" --exclude=".env" ./ "$SSH_HOST:/home/almadix/sma" -e "ssh -p 22 -o StrictHostKeyChecking=no"
    # Passer dans le dossier du projet sur le serveur, exécuter Composer et vider le cache Symfony
    - sshpass -p "$SSH_PASSWORD" ssh "$SSH_HOST" -p "22" -o StrictHostKeyChecking=no "
        cd /home/almadix/sma &&
        php composer.phar install &&
        php bin/console cache:clear "
